Bug 976749 - Removing LV name in partition setup crashes installer
Removing LV name in partition setup crashes installer
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1017504
  Show dependency treegraph
 
Reported: 2013-06-21 07:16 EDT by Jamie Bainbridge
Modified: 2015-02-18 06:12 EST (History)
11 users (show)

See Also:
Fixed In Version: python-blivet-0.23.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1017504 (view as bug list)
Environment:
Last Closed: 2015-02-18 06:12:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jamie Bainbridge 2013-06-21 07:16:10 EDT
## Description of problem:

Creating an LVM-type install and removing the names of the LVM LVs allows the partition setup to be accepted, however the installer crashes when "lvcreate -n --config" is attempted and errors because "-n" has no name parameter.

## Version-Release number of selected component (if applicable):

F18 install DVD

## How reproducible:

Always

## Steps to Reproduce:

1. Create a new LVM-type installation
2. Remove the "root" and "home" names of the LVs in the partition setup
3. Run the install

## Actual results:

Installer crashes with lvcreate error.

## Expected results:

Installer doesn't crash.

## Additional info:

I guess ideally users shouldn't be allowed to leave the partitioning setup with LVs that don't have names.

This should be checked for upon accepting the partition setup, and a meaningful error (in user-friendly language) returned, advising the users to give their LVs names.
Comment 1 Brian Lane 2013-06-24 21:18:14 EDT
We won't be making any updates to the F18 version of Anaconda, could you retry with F19 TC6 and see if it is still a problem?
Comment 2 Jamie Bainbridge 2013-06-26 07:59:11 EDT
Tried with F19 RC1 install DVD. Still fails with same reproducer and same reason.

The "Update Settings" button would be a good place to verify a given config.
Comment 3 Jamie Bainbridge 2013-07-07 07:54:24 EDT
Also still present on F19 GA. Updating bug version to match.
Comment 4 Vratislav Podzimek 2013-10-18 03:52:39 EDT
This has been fixed in python-blivet in the meantime.
Comment 5 Fedora End Of Life 2015-01-09 17:34:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-18 06:12:36 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.